K2 BlackPearl Server crashes deploying 4.6.11 App [ Workflow fails ]

  • 31 January 2018
  • 3 replies
  • 0 views

After package a Form wiht Workflow in 4.6.11... then trying to deploy in a server with 4.7 it crashed the k2 Black Pearl Server and did not complete the deployment failed on the workflow.

 

I wonder if the issue is the permissions on the Workflow Server desitnation 4.7 that probably needs the service account from 4.6.11

 

Anybody have some suggestions ?



3 replies

Do you have the latest CU for K2 Blackpearl 4.7 installed?  To confirm this:


 


SELECT *
FROM [HostServer].[UpdateHistory]


 


* If this table does not exist, this just indicates that no CUs/FPs have been applied.


 


Application of the latest CU (November CU) is recommended as there were some issues identified that can cause the service to crash.  Application of the CU will rule those causes out.

Hi,


 


There is a known issue when installing .NET Framework 4.7.1 will cause the K2 Service to crash (https://help.k2.com/support-services/kb002127). Like Tin said, if you are on 4.7, i would recommend getting the latest FP.


 

All this is very cryptic... 

 

a) Checked for all the other K2 BlackPearl servers. they are able to deploy without crashing the Black Pearl Server, but none of those have the mentioned patch/update.

 

b) We had to revert the Virtual Machine [ Server ] back to original, so we have the assurance there is no extra .NET installed in the server. 

 

Somehow something else is causing this crash.

Reply